All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.util
Class DNDObject

    com.sas.swing.visuals.util.DNDObject

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class DNDObject

implements java.awt.datatransfer.Transferable

See Also:
  Serialized Form

Field Summary
`static java.awt.datatransfer.DataFlavor` | `dndObjectDataFlavor` the data flavor
`static java.awt.datatransfer.DataFlavor[]` | `supportedFlavors` flavors supported by this class if you want to transfer something else, or do something special, then extend this class

Constructor Summary
`DNDObject()`

Method Summary
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)` method required by the Transferable interface.
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` method required by the Transferable interface get the supported flavors
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)` method required by the Transferable interface tell whether a flavor is supported in this class

Field Detail

### dndObjectDataFlavor

    public static java.awt.datatransfer.DataFlavor dndObjectDataFlavor

  the data flavor

### supportedFlavors

    public static java.awt.datatransfer.DataFlavor[] supportedFlavors

  flavors supported by this class if you want to transfer something else, or do something special, then extend this class

Constructor Detail

### DNDObject

    public DNDObject()

Method Detail

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)

  method required by the Transferable interface.

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - DataFlavor desired
  Returns:
    Object the transfer data.

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  method required by the Transferable interface get the supported flavors

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `NONE` -
  Returns:
    DataFlavor[] array of supported flavors

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  method required by the Transferable interface tell whether a flavor is supported in this class

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.